# Method: customers.customColumns.get

- [HTTP request](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.customColumns/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.customColumns/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.customColumns/get#body.request_body)
- [Response body](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.customColumns/get#body.response_body)
- [Authorization scopes](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.customColumns/get#body.aspect)

Returns the requested custom column in full detail.

### HTTP request

`GET https://searchads360.googleapis.com/v0/{resourceName=customers/*/customColumns/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resourceName` | `string` Required. The resource name of the custom column to fetch. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.customColumns#CustomColumn`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclicksearch`